import { post } from '@/utils/http'

const baseURL = import.meta.env.DEV ? '/api' : import.meta.env.VITE_HTTP_BASE_URL

const api = {
  // 首页查询
  financingCalculator(data = {}) {
    return post(`${baseURL}/app/api/app/financing/calculator`, data)
  },
  planInfo(data = {}) {
    return post(`${baseURL}/app/api/app/repayment/schedule`, data)
  },
  getFormInfo(data = {}) {
    return post(`${baseURL}/app/api/app/trial/file`, data)
  },
  saveInfo(data = {}) {
    return post(`${baseURL}/app/api/app/trial/save`, { userId: window.localStorage.getItem('userId'), ...data })
  },
  deleteInfo(data = {}) {
    return post(`${baseURL}/app/api/app/financing/remove`, data)
  }
};

export default api;
