import { post } from '@/utils/http'

const baseURL = import.meta.env.DEV ? '/api' : import.meta.env.VITE_HTTP_BASE_URL

const api = {
  // 首页查询
  contextQuery(data = {}) {
    return post(`${baseURL}/app/api/app/sign/context/query`, data)
  },
  // 业务经办保存
  saveInfo(data = {}) {
    return post(`${baseURL}/app/api/hls/payment/info/save`, data)
    // {
    //   paymentReqId: '',
    //   oppositeFinancialContact: '对方财务联系人',
    //   contactInformation: '联系方式'，
    //   receivets： ’时间戳‘
    // }
  }
};

export default api;
