import { get, put, post, File, deleteReq } from '@/utils/http'

const baseURL = import.meta.env.DEV ? '/api' : import.meta.env.VITE_HTTP_BASE_URL

const api = {
    // 首页查询
    getRepayPlantList(data = {}) {
        return post(`${baseURL}/app/api/app/repayment/details`, data)
    },
    // 明细查询
    getRepayPlanDetail(data ={}){
        return post(`${baseURL}/app/api/app/project/repayment/details`, data)
    },
    //还款计划明细
    getRepaymentDetails(data={}){
        return post(`${baseURL}/app/api/app/project/repayment/details`, data)
    }
};

export default api;


